
Infrastructure - Task #1455

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Update D1 libraries to use CN object format service

2011-03-29 14:39 - Chris Jones

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Currently, D1 libraries use the ObjectFormat data type to get object format information. The libraries need to be updated to use the

CN_Crud object format service. Classes include:

cn-service

TestTestServiceImpl.java

Main.java

IdentifierAdaption.java

d1_synchronization

MetadataPackageWriter.java

ObjectListQueueProcessor.java

ObjectListQueueWriter.java

d1_common_java

MemberNodeHealth.java

MemberNodeReplication.java

DescribeResponse.java

ObjectFormat.java

ObjectInfo.java

SystemMetadata.java

ObjectFormatTest.java

ValidateSamplesTestCase.java

d1_integration

D1ClientCNodeTest.java

D1ClientTest.java

ExampleUtilities.java

PackageTest.java

SimpleApiTests.java

d1_libclient_java

D1Node.java

D1Object.java

D1RestClient.java

MNode.java

DataoneEMLParser.java

EMLDocument.java

d1_mn_generic

D1ClientCNodeTest.java

D1ClientTest.java

ExampleUtilities.java

PackageTest.java

SimpleApiTests.java

d1_mn_silo

MemberNodeReplicationImpl.java
ObjectController.java

History

#1 - 2011-03-29 14:39 - Chris Jones

- Parent task set to #1378

#2 - 2011-06-03 14:56 - Chris Jones

- Status changed from New to In Progress

d1_common_java and d1_libclient_java are updated.  We still need to update d1_synchronization, d1_integration, d1_mn_generic, d1_mn_silo,

cn-service.

#3 - 2011-06-15 19:44 - Chris Jones

- Assignee changed from Chris Jones to Rob Nahf

Assigning this to Rob and Robert since the remaining updates are in projects that they are managing.

#4 - 2011-08-16 18:27 - Rob Nahf

- Milestone changed from 2011-Block-2 to None

- Assignee changed from Rob Nahf to Robert Waltz

Checked client and d1_integration packages.

(Robert to check the rest)

#5 - 2011-08-30 17:12 - Robert Waltz

- Category set to d1_cn_service

- Milestone changed from None to CCI-0.6.4

- Status changed from In Progress to Closed
